| Version: 3.2.5

Classes | Enumerations | Functions
uilocale.h File Reference

## Classes

class | wxUILocale
| Query and modify locale used for the UI by the current platform. More...
class | wxLocaleIdent
| Represents a locale in a portable way. More...

## Enumerations

enum | { wxCompare_CaseSensitive = 0 , wxCompare_CaseInsensitive = 1 }
| Flags for wxUILocale::CompareStrings() function. More...

## Functions

wxString | wxGetUIDateFormat ()
| Return the format to use for formatting user-visible dates. More...

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Flags for wxUILocale::CompareStrings() function.

Since
  3.1.6

Enumerator
wxCompare_CaseSensitive | Compare strings case-sensitively, this is the default.
wxCompare_CaseInsensitive | Ignore strings case when comparing. Note that this flag is not supported under POSIX systems, where it is simply ignored.

## Function Documentation

## ◆ wxGetUIDateFormat()

wxString wxGetUIDateFormat | ( |  | ) |

Return the format to use for formatting user-visible dates.

This is a simple wrapper function normally calling wxUILocale::GetInfo() with wxLOCALE_SHORT_DATE_FMT argument, but which is also available when `wxUSE_INTL==0`, i.e. support for internationalization is disabled at compile-time, in which case it returns `x` string, i.e. uses the current C locale formatting rather than UI locale.

See also
  wxDateTime::Format()

Since
  3.1.6